<?php

use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Domain\User\Models\User;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Delegate::class, static function () {
    return [
        'user_id' => factory(User::class)->create()->id,
    ];
});

$factory->state(Delegate::class, 'snapshot', function () {
    return [
        'user_id' => factory(User::class)->state('snapshot')->create()->id,
    ];
});
