<?php

namespace EventPortal\Domain\Util\Statistics\Facades;

use EventPortal\Domain\Util\Statistics\StatisticsRegistry;
use Illuminate\Support\Facades\Facade;

/**
 * @method \EventPortal\Domain\Util\Statistics\Statistics make(string $name)
 * @method \EventPortal\Domain\Util\Statistics\Statistics add(callable $callable)
 * @method \EventPortal\Domain\Util\Statistics\Statistics model(\Illuminate\Database\Eloquent\Model $model)
 * @method \EventPortal\Domain\Util\Statistics\Statistics render()
 */
class Statistics extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return StatisticsRegistry::class;
    }
}
